package com.sd.business.controller.dict;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.dict.vo.DictConfigDataVo;
import com.sd.business.entity.dict.dto.DictConfigDataSelectDto;
import com.sd.business.entity.dict.dto.DictConfigDataDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.dict.DictConfigDataService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 字典配置数据 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-05
 */
@RestController
@RequestMapping("/dictConfigData")
public class DictConfigDataController {

    @Autowired
    private DictConfigDataService dictConfigDataService;

    /**
     * 字典配置数据列表
     */
    @PostMapping("/list")
    public List<DictConfigDataVo> list(@RequestBody DictConfigDataSelectDto dto) {
        return dictConfigDataService.getList(dto);
    }

    /**
     * 字典配置数据分页
     */
    @PostMapping("/page")
    public Page<DictConfigDataVo> page(@RequestBody DictConfigDataSelectDto dto) {
        return dictConfigDataService.getPage(dto);
    }

    /**
     * 字典配置数据明细
     */
    @PostMapping("/detail")
    public DictConfigDataVo detail(@RequestBody BaseSelectDto dto) {
        return dictConfigDataService.detail(dto.getId());
    }

    /**
     * 字典配置数据新增
     */
    @PostMapping("/add")
    public void add(@RequestBody DictConfigDataDto dto) {
        dictConfigDataService.add(dto);
    }

    /**
     * 字典配置数据编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody DictConfigDataDto dto) {
        dictConfigDataService.edit(dto);
    }

    /**
     * 字典配置数据删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        dictConfigDataService.delete(dto.getId());
    }

}
