package com.sd.business.controller.order;

import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.OrderSkuArtworkLogDto;
import com.sd.business.entity.order.vo.OrderSkuVo;
import com.sd.business.service.order.OrderSkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 订单sku 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@RestController
@RequestMapping("/orderSku")
public class OrderSkuController {

    @Autowired
    private OrderSkuService orderSkuService;

    /**
     * 获取订单sku未确认图稿列表
     */
    @PostMapping("/getUnconfirmedArtworkList")
    public List<OrderSkuVo> getUnconfirmedArtworkList(@RequestBody BaseSelectDto dto) {
        return orderSkuService.getUnconfirmedArtworkList(dto.getId());
    }

    /**
     * 订单sku打样图稿确认
     */
    @PostMapping("/confirmArtwork")
    public void confirmArtwork(@Validated @RequestBody OrderSkuArtworkLogDto dto) {
        orderSkuService.confirmArtwork(dto);
    }


}
