package com.sd.business.entity.bom.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * bom规格报价板查询返回值实体
 *
 * @author
 * @since 2023-12-20
 */
@Getter
@Setter
public class BomSpecQuotationVo {

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 裸垫单价
     */
    private BigDecimal unitPrice;

    /**
     * bom 激光logo单价
     */
    private BigDecimal bomSpecUnitPriceLogo;

    /**
     * bom 激光体位线单价
     */
    private BigDecimal bomSpecUnitPriceLine;

    /**
     * bom 主材单价
     */
    private BigDecimal bomSpecUnitPrice;

    /**
     * 激光logo价格
     */
    private BigDecimal logoProcessingFee;

    /**
     * 激光体位线价格
     */
    private BigDecimal lineProcessingFee;

    /**
     * 彩纸价格
     */
    private BigDecimal colouredPaperPrice;

    /**
     * OPP膜价格
     */
    private BigDecimal oppMembranePrice;

    /**
     * PE袋价格
     */
    private BigDecimal peBagPrice;

    /**
     * 网包价格
     */
    private BigDecimal meshBagPrice;

    /**
     * 纸箱价格
     */
    private BigDecimal paperBoxPrice;

    /**
     * 气泡袋价格
     */
    private BigDecimal bubblePackPrice;

    /**
     * 快递包材价格
     */
    private BigDecimal logisticsPackagingMaterialPrice;

    /**
     * 不干胶价格
     */
    private BigDecimal selfAdhesiveStickerPrice;

    /**
     * 吊牌价格
     */
    private BigDecimal dropPrice;

    /**
     * 背带价格
     */
    private BigDecimal suspendersPrice;

    /**
     * 辅料价格
     */
    private BigDecimal accessoryPrice;
}
