package com.sd.business.service.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.bo.BomSpecBo;
import com.sd.business.entity.bom.dto.BomSpecDto;
import com.sd.business.entity.bom.dto.BomSpecQuotationDto;
import com.sd.business.entity.bom.dto.BomSpecSelectDto;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.bom.vo.BomSpecQuotationVo;
import com.sd.business.entity.bom.vo.BomSpecVo;

import java.util.List;


/**
 * <p>
 * bom规格 服务类
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
public interface BomSpecService extends BaseService<BomSpec> {

    /**
     * bom规格分页
     */
    Page<BomSpecVo> getPage(BomSpecSelectDto dto);

    /**
     * bom规格明细
     */
    BomSpecVo detail(Long id);

    /**
     * bom规格新增
     */
    void add(BomSpecDto dto);

    /**
     * bom规格编辑
     */
    void edit(BomSpecDto dto);

    /**
     * bom规格删除
     */
    void delete(Long id);

    /**
     * bom规格详情
     */
    BomSpecBo getBomSpecBoById(Long id);

    /**
     * 获取bom报价数据列表
     * @param dto
     * @return
     */
    List<BomSpecQuotationVo> getBomSpecQuotationList(BomSpecQuotationDto dto);
}
