package com.sd.business.service.order;

import com.sd.business.entity.order.dto.BulkOrderConfirmDto;
import com.sd.business.entity.order.po.OrderInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.BulkOrderVo;
import com.sd.business.entity.order.vo.OrderInfoVo;
import com.sd.business.entity.order.dto.OrderInfoSelectDto;
import com.sd.business.entity.order.dto.OrderInfoDto;


/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
public interface OrderService extends BaseService<OrderInfo> {

    /**
     * 订单分页
     */
    Page<OrderInfoVo> getPage(OrderInfoSelectDto dto);

    /**
     * 订单明细
     */
    OrderInfoVo detail(Long id);

    /**
     * 订单新增
     */
    void add(OrderInfoDto dto);

    /**
     * 订单编辑
     */
    void edit(OrderInfoDto dto);

    /**
     * 订单删除
     */
    void delete(Long id);

    /**
     * 大宗订单分页
     * @param dto
     * @return
     */
    Page<BulkOrderVo> getBulkOrderPage(OrderInfoSelectDto dto);

    /**
     * 大宗订单确认
     * @param dto
     */
    void bulkOrderConfirm(BulkOrderConfirmDto dto);
}
